package net.jieyuu.service;

import net.jieyuu.model.CouponRecordDO;
import com.baomidou.mybatisplus.extension.service.IService;
import net.jieyuu.model.CouponRecordMessage;
import net.jieyuu.request.LockCouponRecordRequest;
import net.jieyuu.utils.JsonData;
import net.jieyuu.vo.CouponRecordVO;

import java.util.Map;

/**
 * <p>
 * 服务类
 * </p>
 *
 * @author jieyuu
 * @since 2024-07-15
 */
public interface CouponRecordService extends IService<CouponRecordDO> {
    /**
     * 分页查询领券记录
     *
     * @param page
     * @param size
     * @return
     */
    public Map<String, Object> page(int page, int size);

    /**
     * 根据id查询详情
     *
     * @param recordId
     * @return
     */
    CouponRecordVO findById(long recordId);

    /**
     * 锁定优惠券
     *
     * @param recordRequest
     * @return
     */
    JsonData lockCouponRecords(LockCouponRecordRequest recordRequest);

    /**
     * 释放优惠券记录
     *
     * @param recordMessage
     * @return
     */
    boolean releaseCouponRecord(CouponRecordMessage recordMessage);
}
