package biz;

import lombok.extern.slf4j.Slf4j;
import net.jieyuu.OrderApplication;
import net.jieyuu.model.CouponRecordMessage;
import net.jieyuu.model.OrderMessage;
import org.junit.Test;
import org.junit.runner.RunWith;
import org.springframework.amqp.rabbit.core.RabbitTemplate;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.boot.test.context.SpringBootTest;
import org.springframework.test.context.junit4.SpringRunner;

@RunWith(SpringRunner.class)
@SpringBootTest(classes = OrderApplication.class)
@Slf4j
public class DemoApplicationTests {

    @Autowired
    private RabbitTemplate rabbitTemplate;

    @Test
    public void send() {
        rabbitTemplate.convertAndSend("order.event.exchange", "order.close.delay.routing.key", "this is a new order");
    }

    @Test
    public void testCouponRecordRelease() {
        OrderMessage message = new OrderMessage();
        message.setOutTradeNo("123456abc");
        message.setMessageId(1l);
        rabbitTemplate.convertAndSend("order.event.exchange", "order.close.delay.routing.key", message);
    }

}