package net.jieyuu.mapper;

import net.jieyuu.model.ProductDO;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Param;

/**
 * <p>
 * Mapper 接口
 * </p>
 *
 * @author jieyuu
 * @since 2024-08-07
 */
public interface ProductMapper extends BaseMapper<ProductDO> {

    /**
     * 锁定商品库存
     *
     * @param productId
     * @param buyNum
     * @return
     */
    int lockProductStock(@Param("productId") long productId, @Param("buyNum") int buyNum);

    /**
     * 解锁商品库存
     * @param productId
     * @param buyNum
     */
    void unlockProductStock(@Param("productId")Long productId,  @Param("buyNum")Integer buyNum);
}
