package net.jieyuu.service;


import net.jieyuu.model.ProductMessage;
import net.jieyuu.request.LockProductRequest;
import net.jieyuu.utils.JsonData;
import net.jieyuu.vo.ProductVO;

import java.util.List;
import java.util.Map;

/**
 * <p>
 * 服务类
 * </p>
 *
 * @author jieyuu
 * @since 2024-08-07
 */
public interface ProductService {

    /**
     * 分页查询商品列表
     *
     * @param page
     * @param size
     * @return
     */
    Map<String, Object> page(int page, int size);

    /**
     * 根据id查找商品详情
     *
     * @param productId
     * @return
     */
    ProductVO findDetailById(long productId);

    /**
     * 根据id批量查询商品
     *
     * @param productIdList
     * @return
     */
    List<ProductVO> findProductByIdBatch(List<Long> productIdList);

    /**
     * 锁定商品库存
     *
     * @param lockProductRequest
     * @return
     */
    JsonData lockProductStock(LockProductRequest lockProductRequest);

    /**
     * 释放商品库存
     *
     * @param productMessage
     * @return
     */
    boolean releaseProductStock(ProductMessage productMessage);
}
